MPIO_Wait(3)

NAME
MPIO_Wait - Waits for the completion of a nonblocking read or write

SYNOPSIS
#include "mpi.h"
int MPIO_Wait(MPIO_Request *request, MPI_Status *status)

INPUT PARAMETERS
request
    - request object (handle)

OUTPUT PARAMETERS
status
    - status object (Status)

NOTES FOR FORTRAN
All MPI routines in Fortran (except for 'MPI_WTIME' and 'MPI_WTICK') have an additional argument 'ierr' at the end of the argument list. the routine in C. In Fortran, MPI routines are subroutines and are invoked with the 'call' statement. All MPI objects (e.g., 'MPI_Datatype', 'MPI_Comm', 'MPI_File') are of type 'INTEGER' in Fortran.